Bug 145628 - system-config-securitylevel-tui automatically adds https:tcp
system-config-securitylevel-tui automatically adds https:tcp
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-securitylevel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-20 03:38 EST by blbooth
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-29 10:40:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description blbooth 2005-01-20 03:38:02 EST
Description of problem:

Using system-config-securitylevel-tui and selecting to allow incoming
on WWW (HTTP) ends up with both 80:tcp and 443:tcp being written to
/etc/sysconfig/system-config-securitylevel and then put into iptables.

The next time system-config-securitylevel-tui is run, https:tcp is
listed under "other ports".  Removing https:tcp, while keeping WWW
(HTTP), doesn't change anything because 443:tcp keeps getting written
back to /etc/sysconfig/system-config-securitylevel as long as WWW has
been selected.


Steps to Reproduce:

1. system-config-securitylevel-tui
2. enable -> customize -> WWW (HTTP) -> OK -> OK
3. system-config-securitylevel-tui
4. customize, "https:tcp" is now under Other ports.
5. erase "https:tcp" -> OK -> OK
6. GOTO 3


If this was a conscious design decision, then it would look less
clumsy by using something like "WWW (HTTP/HTTPS)" instead.
Comment 2 Chris Lumens 2005-03-29 10:40:39 EST
Fixed in Rawhide by splitting HTTPS out into a separate option from HTTP.

Note You need to log in before you can comment on or make changes to this bug.